| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Protected Attributes | Properties | Private Member Functions | List of all members
IG.Plot2d.GraphLineItem Class Reference

Plottable item that consists of multiple line segments. More...

Inheritance diagram for IG.Plot2d.GraphLineItem:
[legend]
Collaboration diagram for IG.Plot2d.GraphLineItem:
[legend]

## Public Member Functions
| GraphLineItem (GraphBase graph, string title, string description)
override void | UpdateInGraph ()
| Updates the current item in the containing ZedGraph's control. A ZedGraph item corresponding to the current item is updated according to data contained in this item. More...
override void | DetachFromGraph ()
| Detaches the current item from ZedGraph's graph control. If ZedGraph control contains any items that are managed by the current item, these items may be set invisible or be disposed. References to related representations in the Zedgraph control are deleted, such that connection of the item with the Zedgraph's graph object is broken. More...
Public Member Functions inherited from IG.Plot2d.GraphPlotItem
| GraphPlotItem (GraphBase graph)
Public Member Functions inherited from IG.Plot2d.GraphItem
| GraphItem (GraphBase graph)

## Protected Attributes
string | _title
string | _description
Protected Attributes inherited from IG.Plot2d.GraphPlotItem
double | _minX

## Properties
string | Title`[get, set]`
| Curve title. More...
string | Description`[get, set]`
| Curve description. More...
Properties inherited from IG.Plot2d.GraphPlotItem
int | Index`[get]`
| Gets index of the current plot item on the Graph. More...
double | MinX`[get, protected set]`
| Minimal x co-ordinate of the plotted data. More...
double | MaxX`[get, protected set]`
| Maximal x co-ordinate of the plotted data. More...
double | MinY`[get, protected set]`
| Minimal y co-ordinate of the plotted data. More...
double | MaxY`[get, protected set]`
| Maximal y co-ordinate of the plotted data. More...
Properties inherited from IG.Plot2d.GraphItem
GraphBase | Graph`[get, protected set]`
| Graph that contains this axis. More...

## Private Member Functions
void | xx_to_delete ()

## Detailed Description

Plottable item that consists of multiple line segments.

$A Igor Jun09;

## Constructor & Destructor Documentation

IG.Plot2d.GraphLineItem.GraphLineItem | ( | GraphBase | graph,
|  | string | title,
|  | string | description
| ) |  |
| inline

References IG.Plot2d.GraphBase.Lock, and IG.Plot2d.GraphBase.PlotItems.

## Member Function Documentation

void IG.Plot2d.GraphLineItem.xx_to_delete | ( |  | ) |
| inline private

override void IG.Plot2d.GraphLineItem.UpdateInGraph | ( |  | ) |
| inline virtual

Updates the current item in the containing ZedGraph's control. A ZedGraph item corresponding to the current item is updated according to data contained in this item.

Implements IG.Plot2d.GraphItem.

override void IG.Plot2d.GraphLineItem.DetachFromGraph | ( |  | ) |
| inline virtual

Detaches the current item from ZedGraph's graph control. If ZedGraph control contains any items that are managed by the current item, these items may be set invisible or be disposed. References to related representations in the Zedgraph control are deleted, such that connection of the item with the Zedgraph's graph object is broken.

Implements IG.Plot2d.GraphItem.

## Member Data Documentation

string IG.Plot2d.GraphLineItem._title
| protected

string IG.Plot2d.GraphLineItem._description
| protected

## Property Documentation

string IG.Plot2d.GraphLineItem.Title
| get set

Curve title.

string IG.Plot2d.GraphLineItem.Description
| get set

Curve description.

The documentation for this class was generated from the following file:

- extensions/igplot2d/plot2d/develop/graph/GraphLineItem.cs